Subject: bug#18552: Possible bug building emacs trunk with Fedora 19-x86_64

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Oct 2014 21:25:33 +0300

> From: Glenn Morris <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Wed, 01 Oct 2014 14:13:08 -0400
> 
> 
> So was any conclusion reached here?

I tend to think the OP's system is misconfigured.  32-bit vs 64-bit
messup is one possibility.

Another way to continue investigating this is for the OP to try
compiling a short test program that includes the JPEG header, and see
if it compiles, and if not, what warning/error messages appear.  The
log the OP sent says just

  configure:12340: WARNING: libjpeg found, but not version 6b or later

which isn't very informative.